#ifndef __ShFilePath_H__
#define __ShFilePath_H__

#include "MyuCharBuf.h"

namespace mwl{

//	シェル用ファイルパス管理クラス
//	区切り文字として|,?が使用可能（:はドライブレター(C:等)で使用されるので不可）
class CShFilePath
{
private:
	CMyuCharbuf m_buf;

public:
	//	コンストラクタ・デストラクタ
	CShFilePath(){}
	CShFilePath( const char* szFile ){ set(szFile); }
	virtual ~CShFilePath(){}

	void operator = ( const char* szFile ){set(szFile);}
	bool set( const char* szFile );
	//void operator = ( vector<string> &list );	//	予約
	//void add( const char* szFile );			//	予約
	operator const char*(){ return m_buf.c_str(); }
};

}//namespace mwl

#endif//__ShFilePath_H__